Bug 16990 - mysql init script doesn't do condrestart
Summary: mysql init script doesn't do condrestart
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-26 18:22 UTC by giulioo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-28 06:43:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description giulioo 2000-08-26 18:22:04 UTC
It has the condrestart function, but it's not checked in case "$1" in ...

Comment 1 Trond Eivind Glomsrxd 2000-08-27 21:33:30 UTC
if [ "$1" -ge "1" ]; then
    /sbin/service mysqld condrestart >/dev/null 2>&1
fi

(granted, I should have added a || : there - done)

Comment 2 giulioo 2000-08-28 06:43:10 UTC
I'm not sure we're talking about the same thing. My bug was about the init 
script not the spec file

# /sbin/service mysqld condrestart
Usage: /etc/init.d/mysqld {start|stop|status|reload|condrestart|restart}
# /etc/rc.d/init.d/mysqld condrestart
Usage: /etc/rc.d/init.d/mysqld {start|stop|status|reload|condrestart|restart}
#

I said that in the init script you put the condrestart function, but you don't 
do

case $1 in 
   condrestart)
    ...


Comment 3 Trond Eivind Glomsrxd 2000-08-28 13:41:59 UTC
Doh. Fixed. Thanks,


Note You need to log in before you can comment on or make changes to this bug.